/* Formatted on 7-10-2014 11:18:25 (QP5 v5.136.908.31019) */
UPDATE alg_gebouw
   SET alg_gebouw_verwijder = SYSDATE
 WHERE alg_locatie_key IN
             (SELECT alg_locatie_key
                FROM alg_locatie l, alg_onrgoedkenmerk aogk
               WHERE aogk.alg_kenmerk_key = 1000  -- Client
                 AND l.alg_locatie_key = aogk.alg_onrgoed_key
                 AND fac.safe_to_number (alg_onrgoedkenmerk_waarde) IN
                           (501, 481)  -- Connexxion en CONNEXXION
                 AND EXISTS
                        (SELECT alg_onrgoedkenmerk_key
                           FROM alg_onrgoedkenmerk kv
                          WHERE kv.alg_kenmerk_key = 1160   -- vervaldatum
                            AND kv.alg_onrgoed_key = l.alg_locatie_key));

UPDATE alg_locatie
   SET alg_locatie_verwijder = SYSDATE
 WHERE alg_locatie_key IN
             (SELECT alg_locatie_key
                FROM alg_locatie l, alg_onrgoedkenmerk aogk
               WHERE aogk.alg_kenmerk_key = 1000  -- Client
                 AND l.alg_locatie_key = aogk.alg_onrgoed_key
                 AND fac.safe_to_number (alg_onrgoedkenmerk_waarde) IN
                           (501, 481) -- Connexxion en CONNEXXION
                 AND EXISTS
                        (SELECT alg_onrgoedkenmerk_key
                           FROM alg_onrgoedkenmerk kv
                          WHERE kv.alg_kenmerk_key = 1160  -- vervaldatum
                            AND kv.alg_onrgoed_key = l.alg_locatie_key));

commit;